Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Configuration_Value_IntId Class Reference

The section hash table internal value class. More...

`#include <Configuration.h>`

List of all members.

## Public Methods
| ACE_Configuration_Value_IntId (void)
| Default constructor.
ACE_EXPLICIT | ACE_Configuration_Value_IntId (ACE_TCHAR *string)
| String constructor, takes ownership of string.
ACE_EXPLICIT | ACE_Configuration_Value_IntId (u_int integer)
| Integer constructor.
| ACE_Configuration_Value_IntId (void *data, size_t length)
| Binary constructor, takes ownership of data.
| ACE_Configuration_Value_IntId (const ACE_Configuration_Value_IntId &rhs)
| Copy ctor.
| ~ACE_Configuration_Value_IntId (void)
| Destructor.
ACE_Configuration_Value_IntId & | operator= (const ACE_Configuration_Value_IntId &rhs)
| Assignment operator.
void | free (ACE_Allocator *alloc)
## Public Attributes
ACE_Configuration::VALUETYPE | type_
union {
void * ptr_
u_int int_
} | data_
size_t | length_

## Detailed Description

The section hash table internal value class.

This class is present as the internal portion of a section's value hash table It may store string, integer or binary data.

## Constructor & Destructor Documentation

ACE_Configuration_Value_IntId::ACE_Configuration_Value_IntId | ( | void |  | ) |

| Default constructor.

ACE_Configuration_Value_IntId::ACE_Configuration_Value_IntId | ( | ACE_TCHAR * | string | ) |

| String constructor, takes ownership of string.

ACE_Configuration_Value_IntId::ACE_Configuration_Value_IntId | ( | u_int | integer | ) |

| Integer constructor.

ACE_Configuration_Value_IntId::ACE_Configuration_Value_IntId | ( | void * | data,
|  | size_t | length
| ) |

| Binary constructor, takes ownership of data.

ACE_Configuration_Value_IntId::ACE_Configuration_Value_IntId | ( | const ACE_Configuration_Value_IntId & | rhs | ) |

| Copy ctor.

ACE_Configuration_Value_IntId::~ACE_Configuration_Value_IntId | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void ACE_Configuration_Value_IntId::free | ( | ACE_Allocator * | alloc | ) |

ACE_Configuration_Value_IntId & ACE_Configuration_Value_IntId::operator= | ( | const ACE_Configuration_Value_IntId & | rhs | ) |

| Assignment operator.

## Member Data Documentation

union { ... } ACE_Configuration_Value_IntId::data_

u_int ACE_Configuration_Value_IntId::int_

size_t ACE_Configuration_Value_IntId::length_

void* ACE_Configuration_Value_IntId::ptr_

ACE_Configuration::VALUETYPE ACE_Configuration_Value_IntId::type_

| Points to the string value or binary data or IS the integer Length is only used when type_ == BINARY

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Configuration.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Configuration.cpp